Package org.eclipse.cdt.core

## Class AbstractExecutableExtensionBase

- java.lang.Object
- - org.eclipse.cdt.core.AbstractExecutableExtensionBase

Direct Known Subclasses:
  `LanguageSettingsBaseProvider`

    public abstract class AbstractExecutableExtensionBase
    extends Object

Helper abstract class serving as a base for creating a frame of executable class defined as an extension in plugin.xml.

Since:
  5.4

### Constructor Summary

Constructors
`AbstractExecutableExtensionBase()` Default constructor will initialize with the name of the class using reflection mechanism.
`AbstractExecutableExtensionBase​(String id, String name)` Constructor to initialize with ID and name of the extension.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getId()`
`String` `getName()`
`void` `setId​(String id)` Set extension ID.
`void` `setName​(String name)` Set extension name.
`String` `toString()` Method toString() for debugging purposes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractExecutableExtensionBase

    public AbstractExecutableExtensionBase()

Default constructor will initialize with the name of the class using reflection mechanism.

#### AbstractExecutableExtensionBase

    public AbstractExecutableExtensionBase​(String id,
                                           String name)

Constructor to initialize with ID and name of the extension.

Parameters:
  `id` - - ID of the extension.
  `name` - - name of the extension.

### Method Detail

#### setId

    public void setId​(String id)

Set extension ID.

Parameters:
  `id` - of extension

#### setName

    public void setName​(String name)

Set extension name.

Parameters:
  `name` - of extension

#### getId

    public String getId()

Returns:
  id of extension

#### getName

    public String getName()

Returns:
  name of extension

#### toString

    public String toString()

Method toString() for debugging purposes.

Overrides:
  `toString` in class `Object`